searchNodes=[{"doc":"ABA is an Elixir library for performing validation and lookups on ABA routing numbers. It stores all routing numbers and bank information in an ETS table. Therefore, you should initialize the application in a supervision tree.InstallationAdd aba to your list of dependencies in mix.exs:def deps do [ {:aba, &quot;~&gt; 0.1.0&quot;} ] endUsageTo perform routing number validation without an ETS table lookup:iex&gt; ABA.routing_number_valid?(&quot;111900659&quot;) trueOtherwise, performing lookups can be done with:iex&gt; ABA.get_bank(&quot;111900659&quot;) {:ok, %ABA.Bank{routing_number: &quot;111900659&quot;, name: &quot;WELLS FARGO BANK&quot;, address: &quot;255 2ND AVE SOUTH&quot;, city: &quot;MINNEAPOLIS&quot;, state: &quot;MN&quot;, zip: &quot;55479&quot;}}","ref":"ABA.html","title":"ABA","type":"module"},{"doc":"Looks up bank info via the routing number passed.Examplesiex&gt; ABA.get_bank(&quot;111900659&quot;) {:ok, %ABA.Bank{routing_number: &quot;111900659&quot;, name: &quot;WELLS FARGO BANK&quot;, address: &quot;255 2ND AVE SOUTH&quot;, city: &quot;MINNEAPOLIS&quot;, state: &quot;MN&quot;, zip: &quot;55479&quot;}} iex&gt; ABA.get_bank(&quot;111XXX659&quot;) {:error, :invalid}","ref":"ABA.html#get_bank/1","title":"ABA.get_bank/1","type":"function"},{"doc":"Validates the routing number. Can be passed any Elixir term.Examplesiex&gt; ABA.routing_number_valid?(&quot;111900659&quot;) true iex&gt; ABA.routing_number_valid?(&quot;111900658&quot;) false","ref":"ABA.html#routing_number_valid?/1","title":"ABA.routing_number_valid?/1","type":"function"},{"doc":"Defines a structure representing a bank and its ABA information.The struct contains:Routing numberNameAddressCityStateZip","ref":"ABA.Bank.html","title":"ABA.Bank","type":"module"},{"doc":"","ref":"ABA.Bank.html#bank/2","title":"ABA.Bank.bank/2","type":"function"},{"doc":"","ref":"ABA.Bank.html#t:t/0","title":"ABA.Bank.t/0","type":"type"}]